### Function

# EDataServer secret_store_lookup_sync

since: 3.18

#### Declaration [src]

    gboolean
    e_secret_store_lookup_sync (
      const gchar* uid,
      gchar** out_secret,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Looks up a secret for the `uid`. Both the default and session keyrings are queried.

Note the boolean return value indicates whether the lookup operation itself completed successfully, not whether the secret was found. If no secret was found, the function will set `out_secret` to `NULL`, but still return `TRUE`. If an error occurs, the function sets `error` and returns `FALSE`.

Available since: 3.18

#### Parameters

`uid`

  Type: `const gchar*`

  A unique identifier of the secret.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`out_secret`

  Type: `gchar**`

  Return location for the secret, or `NULL`.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.